<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.5-1.0x)">
        <condition name = "ZOOM_RATIO" min = "0.1" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0-2.5x)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "2.5"/>
        <outState>
            <camera name = "wide" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <rule name = "ZOOM[2.5-10.0x]">
        <condition name = "ZOOM_RATIO" min = "2.5" max = "100.1"/>
        <outState>
            <camera name = "tele" prev = "true" stage = "binning"/>
        </outState>
    </rule>

    <!-- for output metadata only -->
    <rule name = "ZOOM[10000x] never go in ">
        <condition name = "ZOOM_RATIO" min = "10000" max = "10000.1"/>
        <condition name = "META" tag = "MULTICAM_IS_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_SUPER_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_SUPER_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT"/>
        <condition name = "META" tag = "MULTICAM_IS_DARK_NIGHT_LEVEL2" type = "INT32" value = "0" outTag = "MULTICAM_CONDITION_DARK_NIGHT_LEVEL2"/>
        <outState>
            <camera name = "wide" prev = "true"  stage = "binning" />
        </outState>
    </rule>
</MultiCameraConfigTable>